'use strict';

const webpack = require('webpack');
let webpackConfig;

if (process.env.PROJECT_TYPE === 'typescript') {
    webpackConfig = require('./webpack.bundle-ts-docs.js');
} else {
    webpackConfig = require('./webpack.bundle-docs.js');
}

const compiler = webpack(webpackConfig);

compiler.run(function(error, stats) {
    if (error) {
        console.log(error);
        process.exit(1);
    }
});
