react-sapling
=============

🌱 React components without the boilerplate.

[![npm version](https://badge.fury.io/js/react-sapling.svg)](https://badge.fury.io/js/react-sapling) [![Build Status](https://travis-ci.org/willowtreeapps/react-sapling.svg?branch=develop)](https://travis-ci.org/willowtreeapps/react-sapling)

#### [View documentation](http://willowtreeapps.github.io/react-sapling/)

Quick Start
-----------

```
> mkdir my-component
> cd my-component
> npm init -y
> npm install --save-dev react-sapling
> ./node_modules/.bin/sapling init
> npm start

Listening at http://localhost:5400/
```

Features
--------

- TypeScript or JavaScript components.
- Testing with Jest
- Static documentation:
  - Add `*.md` files as necessary.
  - Code examples with preview
  - Live editor (coming soon!)

Sample Components
-----------------

A list of sapling components in the wild:

- http://willowtreeapps.github.io/react-imagen/
- http://willowtreeapps.github.io/react-live-preview/


Neat Projects
-------------

Projects that use sapling in one form or another:

#### [react-nursery](https://github.com/willowtreeapps/react-nursery)

> A hosted environment for all your sapling component documentation.
